<eui-app-header>
  <eui-header>
    <eui-header-logo></eui-header-logo>
    <eui-header-app appName="{{ 'app.main.top_heading' | translate }}"></eui-header-app>

    <eui-header-right-content class="eui-u-flex">
      <div *ngIf="userProfile && displayUserMenu" class="eui-user-profile__infos eui-user-profile__infos--no-subinfos">
        <h6 class="eui-u-m-none">{{ 'app.main.welcome' | translate }}</h6>
        <div class="eui-user-profile__infos-name">
          <span
            *ngIf="userProfile.country"
            class="eui-flag-icon eui-flag-icon-{{
              (userProfile.country === 'EC' ? 'eu' : userProfile.country) | lowercase
            }} eui-u-mr-xs"></span>
          {{ userProfile.firstName }} {{ ' '.concat(userProfile.lastName || '') }}
        </div>
      </div>
      <eui-header-user-profile *ngIf="userProfile && displayUserMenu" [hasWelcomeLabel]="false">
        <eui-user-profile-menu>
          <eui-user-profile-menu-item (click)="logout()">
            <eui-icon-svg icon="log-out:sharp" /> {{ 'app.main.user_profile.sign_out' | translate }}
          </eui-user-profile-menu-item>
        </eui-user-profile-menu>
      </eui-header-user-profile>
      <eui-language-selector></eui-language-selector>
    </eui-header-right-content>
  </eui-header>
</eui-app-header>

<eui-app-toolbar *ngIf="userProfile && displayMenu">
  <eui-toolbar>
    <eui-toolbar-menu [items]="menuItems"></eui-toolbar-menu>
  </eui-toolbar>
</eui-app-toolbar>
